package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("rongyun_user")
public class RongyunUser extends Model<RongyunUser> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    private String uid;
    private String name;
    private String portrait;
    @TableField("create_dt")
    private Date createDt;
    @TableField("update_dt")
    private Date updateDt;


    public Integer getId() {
        return id;
    }

    public RongyunUser setId(Integer id) {
        this.id = id;
        return this;
    }

    public String getUid() {
        return uid;
    }

    public RongyunUser setUid(String uid) {
        this.uid = uid;
        return this;
    }

    public String getName() {
        return name;
    }

    public RongyunUser setName(String name) {
        this.name = name;
        return this;
    }

    public String getPortrait() {
        return portrait;
    }

    public RongyunUser setPortrait(String portrait) {
        this.portrait = portrait;
        return this;
    }

    public Date getCreateDt() {
        return createDt;
    }

    public RongyunUser setCreateDt(Date createDt) {
        this.createDt = createDt;
        return this;
    }

    public Date getUpdateDt() {
        return updateDt;
    }

    public RongyunUser setUpdateDt(Date updateDt) {
        this.updateDt = updateDt;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "RongyunUser{" +
        ", id=" + id +
        ", uid=" + uid +
        ", name=" + name +
        ", portrait=" + portrait +
        ", createDt=" + createDt +
        ", updateDt=" + updateDt +
        "}";
    }
}
